'use strict';
import React from 'react';
import { connect } from  'react-redux';
import { scanBarCodeGetProductInfo } from '../../actions/ScanBarCode'
import HeaderComponent from '../../components/CommonComponent/HeaderComponent/HeaderComponent'
import ProductDetailItem from '../../components/ScanBarCodeComponent/ProductDetailComponent/ProductDetailItem'
import ImgToolComponent from '../../components/CommonComponent/CommonSmallComponent/ImgToolComponent/CommonSmalContainer'

require('./index.css');
export default class ScanBarCodeContainer extends React.Component{
    constructor(props) {
        super(props);
        const {state, dispatch} = this.props;
        console.log(state);
        console.log(props);
        this.state = {
            "barCodeValue":'',
            "canChangeBtnColor":false,
            "showProductInfo":false
        }

    }
    componentWillMount() {
    }
    componentDidMount(){
    }
    componentDidUpdate() {
    }
    componentWillReceiveProps(nextProps){
        let {state} = nextProps;
        let {scanBarCode} = state;
        console.log(String(scanBarCode))
        if(scanBarCode.skuBaseInfoVo && scanBarCode.skuBaseInfoVo.skuId){
            this.setState({
                showProductInfo:true
            })
        }
    }
    componentWillUnmount() {
    }
    handleInputBarCode(evnet){
        console.log("onchange");
        let barCodeValue = evnet.target.value;
        this.setState({
            barCodeValue :barCodeValue
        },()=>{})

    }
    handleSubmitInputClick(){
        let {getProductInfo} = this.props;
        let postData = {};
        postData.warehouseId = Number("123456");
        postData.taskId = Number("123456");
        postData.sellOrderId = Number("123456");
        postData.skuBarcode = String(this.state.barCodeValue);
        getProductInfo(postData)
        this.setState({

        })
    }
    handleInputBarCode(){
        console.log("dfdf")
        this.setState({
            canChangeBtnColor:true
        })
    }
    handleOnclick(){
        this.setState({
            showProductInfo:true
        })
    }
    handleAddImg(data){
        console.log("添加照片")
    }
    handleDeleteImg(data){
        console.log("删除照片")
    }
    handleRefreshImg(data){
        console.log("刷新照片")
    }
    handleSubmitProductInfo(data){
        let {submitProductInfo} = this.props;
        let postaData ={};
        postaData.taskId = "dfdf";
        postaData.inventoryLossId = data.inventoryLossId;
        postaData.lossPostion = data.lossPostion;
        postaData.packingStatus = data.packingStatus;
        postaData.packingStatusImageIds = data.packingStatusImageIds;
        console.log(postaData)
        submitProductInfo(postaData)
        console.log("提交")
    }
    render() {
        let {state} = this.props;
        let {userInfo,storeInfo} = state;
        let productInfo = state.scanBarCode;
        let {inventorylossId,skuBaseInfoVo,packingList,positionList} = productInfo;
        console.log(productInfo)
        return (
            <div className={"scanBarCodeContainer"}>
                <HeaderComponent
                    showHeader={CONFIG.headerStatus[1]}
                    userinfo={userInfo}
                    storeInfo={storeInfo}
                />
                <div className={"container"}>
                    <div className={"inputContaienr"}>
                        <input onFocus={()=>{this.handleInputBarCode.bind(this)()}} placeholder={"点击输入条形码 "} className={"barcodeValueInput"} type="text"/>
                        <button onClick={this.handleSubmitInputClick.bind(this)}  className={this.state.canChangeBtnColor?"submitBtn btnFous":"submitBtn"}>确定</button>
                    </div>
                    {
                        this.state.showProductInfo?(
                        <ProductDetailItem
                            skuBaseInfoVo = {skuBaseInfoVo}
                            packingList = {packingList}
                            positionList = {positionList}
                            handleAddImg ={this.handleAddImg.bind(this)}
                            handleDeleteImg ={this.handleDeleteImg.bind(this)}
                            handleRefreshImg ={this.handleRefreshImg.bind(this)}
                            handleSubmitProductInfo = {this.handleSubmitProductInfo.bind(this)}
                        />
                        ):""
                    }
                </div>
            </div>
        )
    }
}
function select(store) {
    return Object.assign({}, {state: store})
}